## racc 1.4.4

=== packages/racc/Makefile ===
#
# racc/Makefile
#

version  = 1.4.4
wcdir    = $(HOME)/c
datadir  = $(HOME)/share
tmpldir  = $(HOME)/share/template
siteroot = $(HOME)/var/i.loveruby.net/tree

.PHONY: default all test doc update import site dist

default: all

all: update
	cd lib/racc && $(MAKE)

update:
	update-version --version=$(version) lib/racc/info.rb

doc:
	mldoc-split --lang=ja doc/NEWS.rd.m > NEWS.ja
	mldoc-split --lang=en doc/NEWS.rd.m > NEWS.en
	rm -rf doc.ja; mkdir doc.ja
	rm -rf doc.en; mkdir doc.en
	compile-documents --ja --template=$(tmpldir)/manual.tmpl.ja --nocode=$(datadir)/NOCODE --refrdrc=$(datadir)/refrdrc.ja doc doc.ja
	compile-documents --en --template=$(tmpldir)/manual.tmpl.en --nocode=$(datadir)/NOCODE doc doc.en

dist:
	version=$(version) sh misc/dist.sh

clean:
	rm -rf doc.*
	rm -f NEWS.*
	cd lib/racc; $(MAKE) clean

test:
	cd test; ruby test.rb
	cd test; RUBY=ruby-1.6.8 ruby test.rb

import:
	remove-cvsid amstd $(wcdir)/amstd/rubyloader.rb > lib/racc/rubyloader.rb

site:
	install-html --template=$(tmpldir)/basic.tmpl.ja web/racc.ja.html $(siteroot)/ja/prog
	install-html --template=$(tmpldir)/basic.tmpl.en web/racc.en.html $(siteroot)/en
	compile-documents --ja --template=$(tmpldir)/basic.tmpl.ja --nocode=$(datadir)/NOCODE --refrdrc=$(datadir)/refrdrc.ja doc $(siteroot)/ja/man/racc
	compile-documents --en --template=$(tmpldir)/basic.tmpl.en --nocode=$(datadir)/NOCODE doc $(siteroot)/en/man/racc

=== packages/racc/lib/racc/Makefile ===
all: grammarfileparser.rb

grammarfileparser.rb: boot grammarfileparser.rb.in
	ruby boot

clean:
	rm -f grammarfileparser.rb b.output

## racc 1.4.5

=== packages/racc/Makefile ===
# racc/Makefile

ident   = racc
version = 1.4.5
include $(HOME)/.makeparams

.PHONY: default all test doc update site dist bootstrap

default: all

all: update bootstrap lib/racc/parser-text.rb extensions

update:
	update-version --version=$(version) lib/racc/info.rb lib/racc/parser.rb ext/racc/cparse/cparse.c

bootstrap: lib/racc/grammarfileparser.rb
lib/racc/grammarfileparser.rb: misc/boot.rb lib/racc/grammarfileparser.rb.in
	echo "# This file is autogenrated. DO NOT MODIFY!" > $@
	ruby -I./lib misc/boot.rb $@.in >> $@

lib/racc/parser-text.rb: lib/racc/parser.rb
	echo "module Racc" > $@
	echo "PARSER_TEXT = <<'__end_of_file__'" >> $@
	cat lib/racc/parser.rb >> $@
	echo "__end_of_file__" >> $@
	echo "end" >> $@

extensions:
	cd ext/racc/cparse && ruby extconf.rb && $(MAKE)

doc:
	mldoc-split --lang=ja doc/NEWS.rd.m > NEWS.ja
	mldoc-split --lang=en doc/NEWS.rd.m > NEWS.en
	rm -rf doc.ja; mkdir doc.ja
	rm -rf doc.en; mkdir doc.en
	compile-documents --lang=ja --template=$(tmpldir)/manual.ja doc doc.ja
	compile-documents --lang=en --template=$(tmpldir)/manual.en doc doc.en

dist:
	version=$(version) ardir=$(ardir) sh misc/dist.sh

clean:
	rm -f lib/racc/grammarfileparser.rb
	rm -f misc/boot.rb.output
	rm -f lib/racc/parser-text.rb
	rm -rf doc.* NEWS.*
	cd ext/racc/cparse && $(MAKE) clean

test:
	cd test; ruby test.rb

site:
	erb web/racc.ja.rhtml | wrap-html --template=$(tmpldir)/basic.ja | nkf -Ej > $(projdir_ja)/index.html
	erb web/racc.en.rhtml | wrap-html --template=$(tmpldir)/basic.en > $(projdir_en)/index.html
	compile-documents --lang=ja --template=$(tmpldir)/basic.ja doc $(projdir_ja)
	compile-documents --lang=en --template=$(tmpldir)/basic.en doc $(projdir_en)

## racc 1.4.8

=== debian/changelog ===
racc (1.4.8-4) unstable; urgency=low

  * Fix not to use deprecated functions.
    - Add debian/patches/040_fix_deprecated
  * Use ruby -Ku when running rd2 command. (closes: #676201)

 -- Taku YASUI <tach@debian.org>  Mon, 18 Jun 2012 01:07:54 +0900

racc (1.4.8-1) unstable; urgency=low

  * New upstream release.
  * Change maintainer to Debian Ruby Extras Maintainers.
    - akira yamada <akira@debian.org> and Taku YASUI <tach@debian.org>
      are uploaders.
  * Commit debian source to git.debian.org.
    - git://git.debian.org/pkg-ruby-extras/racc.git
    - Add Vcs metadata to debian/control.
  * Change source format to '3.0 (quilt)'.
  * Bump Standards-Verson to 3.9.3.
  * Use gem2deb to build package. 
  * Build HTML document using rdtool.
  * Fix test failed by test helper
    - debian/patches/020_test_helper_ruby_path_fix
  * Fix test output log path to test dir
    - debian/patches/030_move_test_log

 -- Taku YASUI <tach@debian.org>  Tue, 08 May 2012 20:13:41 +0900

racc (1.4.5-1) unstable; urgency=low

  * New upstream release.
  * dropped ruby1.6 support. (Closes: #367906)

 -- akira yamada <akira@debian.org>  Mon,  5 Jun 2006 11:13:56 +0900

racc (1.4.4-1) unstable; urgency=low

  * new upstream version.  (closes: #301768)
  * added racc2y.1 and y2racc.1.
  * modified racc2y and y2racc to use optparse instead of deprecated getopts.

 -- akira yamada <akira@debian.org>  Sat,  9 Apr 2005 17:54:44 +0900

racc (1.4.3-2) unstable; urgency=low

  * renamed to libracc-runtime-ruby1.6 from racc-runtime.  it is provided for
    ruby1.6 only.  (ruby1.8 provides libracc-runtime-ruby1.8.)
  * racc depends on ruby1.8.

 -- akira yamada <akira@debian.org>  Tue,  9 Sep 2003 15:54:47 +0900

racc (1.4.3-1) unstable; urgency=low

  * new upstream version, closes: #173234.
  * updated Description, closes: #160939.
  * updated Standards-Version to 3.5.8.

 -- akira yamada <akira@debian.org>  Tue,  7 Jan 2003 13:33:24 +0900

racc (1.4.1-1) unstable; urgency=low

  * new upstream version.

 -- akira yamada <akira@debian.org>  Tue,  8 Jan 2002 21:48:51 +0900

racc (1.3.11-2) unstable; urgency=low

  * rebuild with correct version of ruby, closes: #112249.

 -- akira yamada <akira@debian.org>  Sat, 15 Sep 2001 11:40:23 +0900

racc (1.3.11-1) unstable; urgency=low

  * upgraded to new upsteram version.
    (upstream tarball is racc-1.3.11-all.tar.gz)

 -- akira yamada <akira@debian.org>  Sun,  9 Sep 2001 10:01:37 +0900

racc (1.3.10-1) unstable; urgency=low

  * upgraded to new upsteram version.

 -- akira yamada <akira@debian.org>  Tue, 14 Aug 2001 14:24:13 +0900

racc (1.3.8-1) unstable; urgency=low

  * upgraded to new upsteram version.

 -- akira yamada <akira@debian.org>  Tue, 20 Mar 2001 15:48:32 +0900

racc (1.3.7-1) unstable; urgency=low

  * upgraded to new upstream version.

 -- akira yamada <akira@debian.org>  Thu, 15 Mar 2001 10:20:03 +0900

racc (1.3.6-1) unstable; urgency=low

  * upgraded to new upstream version.

 -- akira yamada <akira@debian.org>  Fri, 26 Jan 2001 11:16:38 +0900

racc (1.3.5-2) unstable; urgency=low

  * rebuild with ruby_1.6.2-5.
  * changed section of racc-runtime to interpreters.

 -- akira yamada <akira@debian.org>  Thu, 25 Jan 2001 16:23:34 +0900

racc (1.3.5-1) unstable; urgency=low

  * Upgraded to new upstream version.

 -- akira yamada <akira@debian.org>  Thu, 18 Jan 2001 09:59:45 +0900

racc (1.3.3-1) unstable; urgency=low

  * Upgraded to new upstream version.

 -- akira yamada <akira@debian.org>  Mon, 25 Dec 2000 11:04:15 +0900

racc (1.3.2-1) unstable; urgency=low

  * Upgraded to new upstream version.

 -- akira yamada <akira@debian.org>  Thu, 21 Dec 2000 23:14:03 +0900

racc (1.3.1-1) unstable; urgency=low

  * Upgraded to new upstream version.

 -- akira yamada <akira@debian.org>  Thu, 20 Dec 2000 14:01:18 +0900

racc (1.3.0-1) unstable; urgency=low

  * Upgraded to new upstream version.
  * racc-runtime is merged with racc. 

 -- akira yamada <akira@debian.org>  Thu, 14 Dec 2000 16:58:14 +0900

racc (1.2.4-1) unstable; urgency=low

  * Upgraded to new upstream version.

 -- akira yamada <akira@debian.org>  Wed, 20 Sep 2000 20:03:01 +0900

racc (1.2.3-2) unstable; urgency=low

  * Rebuid with ruby_1.6.0.
  * Updated Standards-Version to 3.2.1.
  * Added Build-Depends field into control file.

 -- akira yamada <akira@debian.org>  Fri,  1 Sep 2000 18:30:23 +0900

racc (1.2.3-1) unstable; urgency=low

  * Upgraded to new upstream version.

 -- akira yamada <akira@debian.org>  Thu, 17 Aug 2000 06:30:09 +0900

racc (1.1.5-1) unstable; urgency=low

  * Upgraded to new upstream version.
  * debian/docs: BUGS.en, BUGS.ja and FILES added.

 -- akira yamada <akira@debian.org>  Mon, 24 Jul 2000 14:12:13 +0900

racc (1.1.4-1) unstable; urgency=low

  * Upgraded to new upstream vserion.

 -- akira yamada <akira@debian.org>  Fri, 14 Jul 2000 14:51:21 +0900

racc (1.1.3-1) unstable; urgency=low

  * Upgraded to new upstream version.

 -- akira yamada <akira@debian.org>  Thu, 13 Jul 2000 18:09:56 +0900

racc (1.0.4-1) unstable; urgency=low

  * Upgraded to new upstream version.

 -- akira yamada <akira@debian.org>  Wed,  7 Jun 2000 13:59:15 +0900

racc (1.0.2-1) unstable; urgency=low

  * Upgraded to new upstream version.

 -- akira yamada <akira@debian.org>  Mon, 29 May 2000 13:21:28 +0900

racc (0.14.4-1) unstable; urgency=low

  * Upgraded to new upstream version.

 -- akira yamada <akira@debian.org>  Fri, 28 Apr 2000 12:33:35 +0900

racc (0.14.3-1) unstable; urgency=low

  * Upgraded to new upstream version.

 -- akira yamada <akira@debian.org>  Tue,  4 Apr 2000 23:54:30 +0900

racc (0.14.2-1) unstable; urgency=low

  * Upgraded to new upstream version.

 -- akira yamada <akira@debian.org>  Tue,  4 Apr 2000 13:34:24 +0900

racc (0.10.9-1) unstable; urgency=low

  * Initial Release.

 -- akira yamada <akira@debian.org>  Sun, 23 Jan 2000 10:45:11 +0900

=== debian/control ===
Source: racc
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: akira yamada <akira@debian.org>, Taku YASUI <tach@debian.org>
Build-Depends: debhelper (>= 8), gem2deb (>= 0.2.13~), rdtool
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/pkg-ruby-extras/racc.git
Vcs-Browser: http://git.debian.org/?p=pkg-ruby-extras/racc.git;a=summary
Homepage: http://i.loveruby.net/en/projects/racc/
XS-Ruby-Versions: all

Package: racc
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${misc:Depends}, ruby | ruby-interpreter
Description: Ruby LALR parser generator
 Racc is LALR(1) parser generator for Ruby, written in Ruby. It allows
 programmers to easily write syntactic parsers from simple rules, like yacc
 and bison.

## racc 1.4.9

=== debian/changelog ===
racc (1.4.9-1) unstable; urgency=low

  [ Cédric Boutillier ]
  * use canonical URI in Vcs-* fields
  * debian/copyright: use DEP5 copyright-format/1.0 official URL for Format field

  [ Ondřej Surý ]
  * New upstream version 1.4.9
  * Update patches for new release (and remove obsolete patches)
  * Drop ruby1.8 support

 -- Ondřej Surý <ondrej@debian.org>  Fri, 19 Jul 2013 14:53:17 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: akira yamada <akira@debian.org>, Taku YASUI <tach@debian.org>
 Build-Depends: debhelper (>= 8), gem2deb (>= 0.2.13~), rdtool
 Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/pkg-ruby-extras/racc.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ruby-extras/racc.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/racc.git
+Vcs-Browser: http://anonscm.debian.org/gitweb?p=pkg-ruby-extras/racc.git;a=summary
 Homepage: http://i.loveruby.net/en/projects/racc/
-XS-Ruby-Versions: all
+XS-Ruby-Versions: ruby1.9.1
 
 Package: racc
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#
# Uncomment to ignore all test failures (but the tests will run anyway)
#export DH_RUBY_IGNORE_TESTS=all
#
# Uncomment to ignore some test failures (but the tests will run anyway).
# Valid values:
#export DH_RUBY_IGNORE_TESTS=ruby1.8 ruby1.9.1 require-rubygems
#
# If you need to specify the .gemspec (eg there is more than one)
#export DH_RUBY_GEMSPEC=gem.gemspec

docs_html := $(shell find rdoc -type f | sed -e 's/\.rdoc$$/.html/') README.html README.ja.html
rdocs_html := $(shell find rdoc -type f -name '*.rdoc' | sed -e 's/\.rdoc$$/.html/') README.html README.ja.html

%:
	dh $@ --buildsystem=ruby --with ruby

%.html: %.rdoc
	ruby -Ku /usr/bin/rd2 $< -o `echo $< | sed -e 's/\.rdoc$$//'`

override_dh_install: $(docs_html)
	dh_install

override_dh_clean:
	rm -f $(rdocs_html)
	rm -f test/out.log
	dh_clean

## racc 1.4.12

=== debian/changelog ===
racc (1.4.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.4.12 (Closes: #794142)
  * doc: Fix policy violation (doc-base-file-references-missing-file)
  * d/control:
    - Bumped up compat version to 9
    - Relax gem2deb dependency
    - Bump Standard-Versions (no changes)
    - Use cgit + https for Vcs field
  * d/patchs: Refresh and add Dep3 headers

 -- Sebastien Badia <seb@sebian.fr>  Wed, 19 Aug 2015 17:34:09 +0200

racc (1.4.9-2) unstable; urgency=medium

  * Team upload.
  * Remove specific dependency to ruby 1.9.1 (Closes: #746137)

 -- Sebastien Badia <seb@sebian.fr>  Sun, 27 Apr 2014 23:02:57 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: akira yamada <akira@debian.org>, Taku YASUI <tach@debian.org>
-Build-Depends: debhelper (>= 8), gem2deb (>= 0.2.13~), rdtool
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9~), gem2deb, rdtool
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/racc.git
-Vcs-Browser: http://anonscm.debian.org/gitweb?p=pkg-ruby-extras/racc.git;a=summary
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-ruby-extras/racc.git
 Homepage: http://i.loveruby.net/en/projects/racc/
-XS-Ruby-Versions: ruby1.9.1
+XS-Ruby-Versions: all
 
 Package: racc
 Architecture: all

## racc 1.4.14

=== debian/changelog ===
racc (1.4.14-2) unstable; urgency=medium

  * Team upload.
  * d/control:
      Update Vcs-* fields (use https everywhere)
      Bump Standards-Version to 3.9.7 (no changes)
      Add an explanation about LALR
  * Update Debian packaging (using dh-make-ruby)
  * Switch to ruby-tests.rake instead of a manual listing of files

 -- Sebastien Badia <seb@sebian.fr>  Thu, 03 Mar 2016 18:27:02 -0300

racc (1.4.14-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.4.14.

 -- Sebastien Badia <seb@sebian.fr>  Thu, 26 Nov 2015 01:59:43 +0100

=== debian/control ===
Source: racc
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: akira yamada <akira@debian.org>, Taku YASUI <tach@debian.org>
Build-Depends: debhelper (>= 9~),
               gem2deb,
               rdtool
Standards-Version: 3.9.7
Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/racc.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/racc.git
Homepage: http://i.loveruby.net/en/projects/racc/
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all

Package: racc
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Ruby LALR parser generator
 Racc is LALR(Look-Ahead LR) parser generator for Ruby, written in Ruby. It
 allows programmers to easily write syntactic parsers from simple rules, like
 yacc and bison.

=== debian/rules ===
#!/usr/bin/make -f

docs_html := $(shell find rdoc -type f | sed -e 's/\.rdoc$$/.html/') README.html README.ja.html
rdocs_html := $(shell find rdoc -type f -name '*.rdoc' | sed -e 's/\.rdoc$$/.html/') README.html README.ja.html
export GEM2DEB_TEST_RUNNER = --check-dependencies

%:
	dh $@ --buildsystem=ruby --with ruby

%.html: %.rdoc
	ruby -Ku /usr/bin/rd2 $< -o `echo $< | sed -e 's/\.rdoc$$//'`

override_dh_install: $(docs_html)
	dh_install

override_dh_clean:
	rm -f $(rdocs_html)
	rm -f test/out.log
	dh_clean

=== debian/watch ===
version=3
http://pkg-ruby-extras.alioth.debian.org/cgi-bin/gemwatch/racc .*/racc-(.*).tar.gz

## racc 1.6.2

=== debian/changelog ===
racc (1.6.2-1) unstable; urgency=medium

  [ Lucas Nussbaum ]
  * Team upload.

  [ Cédric Boutillier ]
  * Use https:// in Vcs-* fields
  * Run wrap-and-sort on packaging files

  [ Utkarsh Gupta ]
  * Add salsa-ci.yml

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Bump debhelper from old 9 to 12.
  * Fix day-of-week for changelog entries 1.3.1-1.
  * Update watch file format version to 4.
  * Use secure URI in debian/watch.
  * Use secure URI in Homepage field.
  * Update Vcs-* headers from URL redirect.
  * Use canonical URL in Vcs-Git.
  * Bump debhelper from old 12 to 13.

  [ Lucas Nussbaum ]
  * Update watch file to point to github repo
  * New upstream version 1.6.2
  * Disable patch 010_disable_ext
  * disable patch 020_test_helper_ruby_path_fix
  * Adjust docs path
  * Load test/lib/helper.rb when running tests
  * 010_disable_ext: update
  * debian/rules: update path to docs
  * Refresh packaging using dh-make-ruby

 -- Lucas Nussbaum <lucas@debian.org>  Wed, 28 Dec 2022 20:15:36 +0100

=== debian/control ===
Source: racc
Section: ruby
Priority: optional
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: akira yamada <akira@debian.org>,
           Taku YASUI <tach@debian.org>
Build-Depends: debhelper-compat (= 13),
               gem2deb (>= 1),
               rdtool
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/ruby-team/racc.git
Vcs-Browser: https://salsa.debian.org/ruby-team/racc
Homepage: https://github.com/ruby/racc
Testsuite: autopkgtest-pkg-ruby
Rules-Requires-Root: no

Package: racc
Architecture: all
Depends: ${misc:Depends},
         ${ruby:Depends},
         ${shlibs:Depends},
         ruby
Description: Ruby LALR parser generator
 Racc is LALR(Look-Ahead LR) parser generator for Ruby, written in Ruby. It
 allows programmers to easily write syntactic parsers from simple rules, like
 yacc and bison.

=== debian/rules ===
#!/usr/bin/make -f

docs_html := $(shell find doc -type f | sed -e 's/\.rdoc$$/.html/') README.html README.ja.html
rdocs_html := $(shell find doc -type f -name '*.rdoc' | sed -e 's/\.rdoc$$/.html/') README.html README.ja.html
export GEM2DEB_TEST_RUNNER = --check-dependencies

%:
	dh $@ --buildsystem=ruby --with ruby

%.html: %.rdoc
	ruby -Ku /usr/bin/rd2 $< -o `echo $< | sed -e 's/\.rdoc$$//'`

override_dh_install: $(docs_html)
	dh_install

override_dh_clean:
	rm -f $(rdocs_html)
	rm -f test/out.log
	dh_clean

## racc 1.8.1

=== debian/changelog ===
racc (1.8.1-2) unstable; urgency=medium

  * Team upload
  [ Lucas Nussbaum ]
  * debian/gbp.conf: Add for DEP-14
  * debian/gbp.conf: remove trailing empty lines
  * debian/.gitattributes: remove
  * debian/salsa-ci.yml: use team-specific include

  [ Abhijith PA ]
  * Run `rake srcs` after build. (Closes: #1103325)
   - Thanks to Santiago Vila <sanvila@debian.org> for patch.

 -- Abhijith PA <abhijith@debian.org>  Wed, 29 Oct 2025 10:13:40 +0530

racc (1.8.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.8.1
  * Refresh patch
  * Declare compliance with Debian Policy 4.7.0
  * d/ruby-tests.rake: generate sources before running tests
  * B-d on rake-compiler
  * B-d on ruby-test-unit-ruby-core
  * d/p/0002-gemspec-correct-load-info-in-autopkgtest-environment.patch: fix
    autopkgtest failure
  * d/ruby-tests.rake: generate source just during build time
  * d/rules: install parser-text.rb to allow running tests via autopkgtest

 -- Lucas Kanashiro <kanashiro@debian.org>  Tue, 28 Jan 2025 07:26:10 -0300

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,10 @@
            Taku YASUI <tach@debian.org>
 Build-Depends: debhelper-compat (= 13),
                gem2deb (>= 1),
-               rdtool
-Standards-Version: 4.6.1
+               rake-compiler,
+               rdtool,
+               ruby-test-unit-ruby-core
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/ruby-team/racc.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/racc
 Homepage: https://github.com/ruby/racc

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,12 @@
 %.html: %.rdoc
 	ruby -Ku /usr/bin/rd2 $< -o `echo $< | sed -e 's/\.rdoc$$//'`
 
+execute_after_dh_auto_build:
+	rake srcs
+
 override_dh_install: $(docs_html)
 	dh_install
+	cp -v lib/racc/parser-text.rb debian/racc/usr/lib/ruby/vendor_ruby/racc/
 
 override_dh_clean:
 	rm -f $(rdocs_html)
